"use strict";
exports.__esModule = true;
var DescribeItFileTransformer_1 = require("./DescribeItFileTransformer");
function makeTransformer(program, options) {
    var factory = function (context) {
        var diagnosticTransformer = new DescribeItFileTransformer_1.DescribeItFileTransformer(context, program, options);
        return function (sourceFile) {
            return diagnosticTransformer.visitSourceFile(sourceFile);
        };
    };
    return factory;
}
exports.makeTransformer = makeTransformer;
