import * as ts from "typescript";
import { Options } from "./index";
/**
 * Transforms test files in the describe/it format, delegating test transformation to TestTransformer
 */
export declare class DescribeItFileTransformer {
    private readonly context;
    private readonly program;
    private readonly options;
    private readonly testTransformer;
    constructor(context: ts.TransformationContext, program: ts.Program, options?: Options);
    visitSourceFile(node: ts.SourceFile): ts.SourceFile;
    private visitBodyChild<T>(node);
    private visitBodyChildExpression(node);
    private visitDescribeFunction<T>(node);
    private visitDescribeBody(node);
    private visitItFunction(node);
}
