import * as ts from "typescript";
import { Options } from "./index";
/**
 * Transforms test bodies, independent of testing framework / file structure
 */
export declare class TestTransformer {
    private readonly program;
    private readonly context;
    constructor(context: ts.TransformationContext, program: ts.Program, options?: Options);
    visitTestBody(node: ts.ConciseBody): ts.Block;
}
